[arch-commits] Commit in planner/repos (extra-x86_64 extra-x86_64/PKGBUILD)

Jan de Groot jgc at archlinux.org
Mon Apr 20 16:21:42 EDT 2009


    Date: Monday, April 20, 2009 @ 16:21:42
  Author: jgc
Revision: 36243

Merged revisions 36071 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/planner/trunk

........
  r36071 | jgc | 2009-04-19 20:53:53 +0000 (Sun, 19 Apr 2009) | 2 lines
  
  upgpkg: planner 0.14.4-1
      Remove libgnomeprint, replaced by gtkprint
........

Modified:
  planner/repos/extra-x86_64/	(properties)
  planner/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |   23 +++++++++++------------
 1 file changed, 11 insertions(+), 12 deletions(-)


Property changes on: planner/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /planner/trunk:1-1385
   + /planner/trunk:1-36242

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-04-20 20:20:38 UTC (rev 36242)
+++ extra-x86_64/PKGBUILD	2009-04-20 20:21:42 UTC (rev 36243)
@@ -3,30 +3,29 @@
 # Maintainer: Jan de Groot <jgc at archlinux.org>
 
 pkgname=planner
-pkgver=0.14.3
+pkgver=0.14.4
 pkgrel=1
 pkgdesc="Gnome Project Management System"
 arch=(i686 x86_64)
 license=('GPL')
 url="http://live.gnome.org/Planner"
-depends=('libgnomeprintui>=2.18.0' 'libgnomeui>=2.18.1-2' 'evolution-data-server>=2.22.1' 'libxslt' 'desktop-file-utils')
-makedepends=('pkgconfig' 'perlxml' 'gnome-doc-utils>=0.11.2' 'pygtk')
+depends=('libgnomeui>=2.24.1' 'evolution-data-server>=2.26.1.1' 'libxslt>=1.1.24' 'desktop-file-utils')
+makedepends=('pkgconfig' 'intltool' 'gnome-doc-utils>=0.16.1' 'pygtk>=2.14.1')
 conflicts=('mrproject' 'libmrproject')
 replaces=('mrproject' 'libmrproject' )
-options=('!libtool' '!makeflags')
+options=('!libtool' '!makeflags' '!emptydirs')
 install=planner.install
 source=(http://ftp.gnome.org/pub/GNOME/sources/planner/${pkgver%.*}/planner-${pkgver}.tar.bz2)
-md5sums=('9aee1307f8b9d643241473791f0efa64')
+md5sums=('8fcbd1b55dd037662f7710a28a96bb92')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
+  cd "${srcdir}/${pkgname}-${pkgver}"
   ./configure --prefix=/usr --sysconfdir=/etc \
               --localstatedir=/var --disable-update-mimedb \
-              --enable-python --enable-eds \
-	      --disable-scrollkeeper
+              --enable-python --enable-eds || return 1
   make || return 1
-  make GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 DESTDIR=${startdir}/pkg install
-  mkdir -p ${startdir}/pkg/usr/share/gconf/schemas  
-  gconf-merge-schema ${startdir}/pkg/usr/share/gconf/schemas/${pkgname}.schemas ${startdir}/pkg/etc/gconf/schemas/*.schemas  
-  rm -f ${startdir}/pkg/etc/gconf/schemas/*.schemas
+  make GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 DESTDIR="${pkgdir}" install || return 1
+  install -m755 -d "${pkgdir}/usr/share/gconf/schemas"
+  gconf-merge-schema "${pkgdir}/usr/share/gconf/schemas/${pkgname}.schemas" --domain planner ${pkgdir}/etc/gconf/schemas/*.schemas  
+  rm -f ${pkgdir}/etc/gconf/schemas/*.schemas
 }



More information about the arch-commits mailing list